Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchPreferenceConstants

public interface IWorkbenchPreferenceConstants

Preference ids exposed by the Eclipse Platform User Interface. These preference settings can be obtained from the UI plug-in's preference store.

See Also:
  `PlatformUI.PLUGIN_ID`, `PlatformUI.getPreferenceStore()`

Field Summary
`static String` | `ALTERNATE_OPEN_NEW_PERSPECTIVE` Deprecated. Workbench no longer supports alternate key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.
`static String` | `BOTTOM` Constant to be used when referring to the bottom of the workbench window.
`static String` | `DEFAULT_PERSPECTIVE_ID` A named preference indicating the default workbench perspective.
`static String` | `DOCK_PERSPECTIVE_BAR` A named preference indicating where the perspective bar should be docked.
`static String` | `HELP_CONTENTS_ACTION_TEXT` A named preference for the text of the Help Contents action.
`static String` | `INITIAL_FAST_VIEW_BAR_LOCATION` A named preference indicating where the fast view bar should be docked in a fresh workspace.
`static String` | `LEFT` Constant to be used when referring to the left side of the workbench window.
`static String` | `LINK_NAVIGATOR_TO_EDITOR` A named preference for whether to show an editor when its input file is selected in the Navigator (and vice versa).
`static String` | `NO_NEW_PERSPECTIVE` A preference value indicating that an action should not open a new perspective.
`static String` | `OPEN_NEW_PERSPECTIVE` A named preference for how a new perspective is opened.
`static String` | `OPEN_PERSPECTIVE_PAGE` Deprecated. Opening a Perspective in a new page is no longer supported functionality as of 2.0.
`static String` | `OPEN_PERSPECTIVE_REPLACE` A preference value indicating that an action should open a new perspective by replacing the current perspective.
`static String` | `OPEN_PERSPECTIVE_WINDOW` A preference value indicating that an action should open a new perspective in a new window.
`static String` | `PRESENTATION_FACTORY_ID` A named preference indicating the presentation factory to use for the workbench look and feel.
`static String` | `PROJECT_OPEN_NEW_PERSPECTIVE` Deprecated. in 3.0. This preference is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.Preferences.PROJECT_OPEN_NEW_PERSPECTIVE` instead.
`static String` | `RIGHT` Constant to be used when referring to the right side of the workbench window.
`static String` | `SHIFT_OPEN_NEW_PERSPECTIVE` Deprecated. Workbench no longer supports shift key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.
`static String` | `SHOW_INTRO` A named preference indicating whether the workbench should show the introduction component (if available) on startup.
`static String` | `SHOW_TEXT_ON_PERSPECTIVE_BAR` A named preference for whether the workbench should show text on the perspective bar.
`static String` | `SHOW_TRADITIONAL_STYLE_TABS` A named preference for whether the workbench should show traditional style tabs in editors and views.
`static String` | `TOP_LEFT` Constant to be used when referring to the top left of the workbench window.
`static String` | `TOP_RIGHT` Constant to be used when referring to the top right of the workbench window.

Field Detail

### LINK_NAVIGATOR_TO_EDITOR

    public static final String LINK_NAVIGATOR_TO_EDITOR

  A named preference for whether to show an editor when its input file is selected in the Navigator (and vice versa).

  Value is of type `boolean`.

  See Also:
    Constant Field Values

### OPEN_NEW_PERSPECTIVE

    public static final String OPEN_NEW_PERSPECTIVE

  A named preference for how a new perspective is opened.

  Value is of type `String`. The possible values are defined by `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE and OPEN_PERSPECTIVE_REPLACE`.

  See Also:
    `OPEN_PERSPECTIVE_WINDOW`, `OPEN_PERSPECTIVE_PAGE`, `OPEN_PERSPECTIVE_REPLACE`, `NO_NEW_PERSPECTIVE`, Constant Field Values

### ALTERNATE_OPEN_NEW_PERSPECTIVE

    public static final String ALTERNATE_OPEN_NEW_PERSPECTIVE

  Deprecated. Workbench no longer supports alternate key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.

  A named preference for how a new perspective is opened when the alternate key modifiers are pressed. The alternate key modifiers are platform dependent.

  Value is of type `String`. The possible values are defined by `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE and OPEN_PERSPECTIVE_REPLACE`.

  See Also:
    Constant Field Values

### SHIFT_OPEN_NEW_PERSPECTIVE

    public static final String SHIFT_OPEN_NEW_PERSPECTIVE

  Deprecated. Workbench no longer supports shift key modifier to open a new perspective. Callers should use IWorkbench.showPerspective methods.

  A named preference for how a new perspective is opened when the shift key modifier is pressed.

  Value is of type `String`. The possible values are defined by `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE and OPEN_PERSPECTIVE_REPLACE`.

  See Also:
    Constant Field Values

### PROJECT_OPEN_NEW_PERSPECTIVE

    public static final String PROJECT_OPEN_NEW_PERSPECTIVE

  Deprecated. in 3.0. This preference is IDE-specific, and is therefore found only in IDE configurations. IDE-specific tools should use `org.eclipse.ui.ide.IDE.Preferences.PROJECT_OPEN_NEW_PERSPECTIVE` instead.

  A named preference for how a new perspective should be opened when a new project is created.

  Value is of type `String`. The possible values are defined by the constants `OPEN_PERSPECTIVE_WINDOW, OPEN_PERSPECTIVE_PAGE, OPEN_PERSPECTIVE_REPLACE, and NO_NEW_PERSPECTIVE`.

  See Also:
    `OPEN_PERSPECTIVE_WINDOW`, `OPEN_PERSPECTIVE_PAGE`, `OPEN_PERSPECTIVE_REPLACE`, `NO_NEW_PERSPECTIVE`, Constant Field Values

### OPEN_PERSPECTIVE_WINDOW

    public static final String OPEN_PERSPECTIVE_WINDOW

  A preference value indicating that an action should open a new perspective in a new window.

  See Also:
    `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

### OPEN_PERSPECTIVE_PAGE

    public static final String OPEN_PERSPECTIVE_PAGE

  Deprecated. Opening a Perspective in a new page is no longer supported functionality as of 2.0.

  A preference value indicating that an action should open a new perspective in a new page.

  See Also:
    `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

### OPEN_PERSPECTIVE_REPLACE

    public static final String OPEN_PERSPECTIVE_REPLACE

  A preference value indicating that an action should open a new perspective by replacing the current perspective.

  See Also:
    `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

### NO_NEW_PERSPECTIVE

    public static final String NO_NEW_PERSPECTIVE

  A preference value indicating that an action should not open a new perspective.

  See Also:
    `PROJECT_OPEN_NEW_PERSPECTIVE`, Constant Field Values

### DEFAULT_PERSPECTIVE_ID

    public static final String DEFAULT_PERSPECTIVE_ID

  A named preference indicating the default workbench perspective.

  See Also:
    Constant Field Values

### PRESENTATION_FACTORY_ID

    public static final String PRESENTATION_FACTORY_ID

  A named preference indicating the presentation factory to use for the workbench look and feel.

  Since:
    3.0
  See Also:
    Constant Field Values

### DOCK_PERSPECTIVE_BAR

    public static final String DOCK_PERSPECTIVE_BAR

  A named preference indicating where the perspective bar should be docked. The default value (when this preference is not set) is `TOP_RIGHT`.

  This preference may be one of the following values: `TOP_RIGHT`, `TOP_LEFT`, or `LEFT`.

  Since:
    3.0
  See Also:
    Constant Field Values

### INITIAL_FAST_VIEW_BAR_LOCATION

    public static final String INITIAL_FAST_VIEW_BAR_LOCATION

  A named preference indicating where the fast view bar should be docked in a fresh workspace. This preference is meaningless after a workspace has been setup, since the fast view bar state is then persisted in the workbench. This preference is intended for applications that want the initial docking location to be somewhere specific. The default value (when this preference is not set) is the bottom.

  Since:
    3.0
  See Also:
    `LEFT`, `BOTTOM`, `RIGHT`, Constant Field Values

### TOP_RIGHT

    public static final String TOP_RIGHT

  Constant to be used when referring to the top right of the workbench window.

  Since:
    3.0
  See Also:
    `DOCK_PERSPECTIVE_BAR`, Constant Field Values

### TOP_LEFT

    public static final String TOP_LEFT

  Constant to be used when referring to the top left of the workbench window.

  Since:
    3.0
  See Also:
    `DOCK_PERSPECTIVE_BAR`, Constant Field Values

### LEFT

    public static final String LEFT

  Constant to be used when referring to the left side of the workbench window.

  Since:
    3.0
  See Also:
    `DOCK_PERSPECTIVE_BAR`, `INITIAL_FAST_VIEW_BAR_LOCATION`, Constant Field Values

### BOTTOM

    public static final String BOTTOM

  Constant to be used when referring to the bottom of the workbench window.

  Since:
    3.0
  See Also:
    `INITIAL_FAST_VIEW_BAR_LOCATION`, Constant Field Values

### RIGHT

    public static final String RIGHT

  Constant to be used when referring to the right side of the workbench window.

  Since:
    3.0
  See Also:
    `INITIAL_FAST_VIEW_BAR_LOCATION`, Constant Field Values

### SHOW_INTRO

    public static final String SHOW_INTRO

  A named preference indicating whether the workbench should show the introduction component (if available) on startup.

  The default value for this preference is: `true` (show intro)

  Since:
    3.0
  See Also:
    `WorkbenchAdvisor.openIntro(IWorkbenchWindowConfigurer)`, Constant Field Values

### SHOW_TRADITIONAL_STYLE_TABS

    public static final String SHOW_TRADITIONAL_STYLE_TABS

  A named preference for whether the workbench should show traditional style tabs in editors and views. Boolean-valued: `true` if editors and views should use a traditional style of tab and `false` if editors should show new style tab (3.0 style)

  The default value for this preference is: `true`

  Since:
    3.0
  See Also:
    Constant Field Values

### SHOW_TEXT_ON_PERSPECTIVE_BAR

    public static final String SHOW_TEXT_ON_PERSPECTIVE_BAR

  A named preference for whether the workbench should show text on the perspective bar. Boolean-valued: `true`, if editors should show text on the perspective bar, `false` otherwise.

  The default value for this preference is: `true` (show text on the perspective bar)

  Since:
    3.0
  See Also:
    Constant Field Values

### HELP_CONTENTS_ACTION_TEXT

    public static final String HELP_CONTENTS_ACTION_TEXT

  A named preference for the text of the Help Contents action. String-valued. If not specified, `"&Help Contents"` is used.

  The default value for this preference is: `null`

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.